-- use command db2 -td# -vf tklmsql-fp.db2

CREATE PROCEDURE ALTER_FP3_DB
BEGIN
-- add column KMIP_CLIENT_CERT_UUID
IF NOT EXISTS(
select * from SYSIBM.syscolumns where tbname='KMT_DEVAUDIT' and name='KMIP_CLIENT_CERT_UUID'
)THEN
EXECUTE IMMEDIATE 'ALTER TABLE KMT_DEVAUDIT ADD COLUMN KMIP_CLIENT_CERT_UUID VARCHAR (64)';
END IF;

-- add index IDX_DEVAUDIT_01 for SERIALNO
IF NOT EXISTS(
select * from SYSIBM.SYSINDEXES where name='IDX_DEVAUDIT_01'
)THEN
EXECUTE IMMEDIATE 'CREATE INDEX IDX_DEVAUDIT_01 ON KMT_DEVAUDIT(SERIALNO) MINPCTUSED 20';
END IF;

-- add index IDX_DEVAUDIT_02 for VOLSERIALNO
IF NOT EXISTS(
select * from SYSIBM.SYSINDEXES where name='IDX_DEVAUDIT_02'
)THEN
EXECUTE IMMEDIATE 'CREATE INDEX IDX_DEVAUDIT_02 ON KMT_DEVAUDIT(VOLSERIALNO) MINPCTUSED 20';
END IF;

-- add index IDX_DEVAUDIT_03 for KMIP_CLIENT_CERT_UUID
IF NOT EXISTS(
select * from SYSIBM.SYSINDEXES where name='IDX_DEVAUDIT_03'
)THEN
EXECUTE IMMEDIATE 'CREATE INDEX IDX_DEVAUDIT_03 ON KMT_DEVAUDIT(KMIP_CLIENT_CERT_UUID) MINPCTUSED 20';
END IF;

-- insert syslog entry
IF NOT EXISTS(
SELECT * FROM KMT_DEVICE_TYPE WHERE UUID=13
)THEN
EXECUTE IMMEDIATE 'INSERT INTO KMT_DEVICE_TYPE(UUID,BASE_FAMILY_ID,VERSION,NAME,ROLE_NAME) VALUES(13,0,0,''SYSLOG'',''CONFIG'')';
END IF;

END
#

CALL ALTER_FP3_DB()
#

DROP PROCEDURE ALTER_FP3_DB
#

COMMIT
#